Skip to main content
GET
/
1
/
dataset_definitions
/
{datasetSlug}
Get all Dataset Definitions
curl --request GET \
  --url https://api.honeycomb.io/1/dataset_definitions/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "duration_ms": {
    "name": "duration_ms",
    "column_type": "column"
  },
  "error": null,
  "name": null,
  "parent_id": null,
  "route": null,
  "service_name": null,
  "span_id": {
    "name": "my_span_id",
    "column_type": "column"
  },
  "span_kind": null,
  "annotation_type": null,
  "link_trace_id": null,
  "link_span_id": null,
  "status": null,
  "trace_id": null,
  "user": null,
  "log_severity": null,
  "log_message": null
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

datasetSlug
string
required

The dataset slug.

Response

Success

Dataset Definitions describe the fields with special meaning in the Dataset.

span_id
object

The unique identifier (ID) for each span.

trace_id
object

The ID of the trace this span belongs to.

parent_id
object

The Parent Span ID - The ID of this span's parent span, the call location the current span was called from.

name
object

The name of the function or method where the span was created.

service_name
object

The name of the instrumented service.

duration_ms
object

Span Duration - How much time the span took, in milliseconds.

span_kind
object

Metadata: Kind - The kind of Span. For example, client or server. The use of this field to identify Span Events and Links is deprecated. Use the field Metadata: Annotation Type.

annotation_type
object

Metadata: Annotation Type - The type of span annotation. For example, span_event or link. This lets Honeycomb visualize this type of event differently in a trace. Do not use this field for other purposes.

Metadata: Link Span ID - Links let you tie traces and spans to one another. The Link Span ID lets you link to a different span (when used with Link Trace ID).

Metadata: Link Trace ID - Links let you tie traces and spans to one another. The Link Trace Id lets you link to a different trace or a different span in the same trace (when used with Link Span ID).

error
object

Use a Boolean or String to indicate error.

status
object

Indicates the success, failure, or other status of a request.

route
object

The HTTP URL or equivalent route processed by the request.

user
object

The user making the request in the system.

log_severity
object

Severity level of the event (also known as log level). Supported values: trace, debug, info, warn, error, fatal, unspecified.

log_message
object

A value containing the log event message. Can be a human-readable string message (including multi-line) describing the event in a free form.